<p class="topic">
Add New Object
</p>

<p class="text">
Use this dialog box to add new objects to Directory Server.
</p>

<p class="text">
<b>Show Attribute Names. </b>Select this option if you want the property editor to display the names of the attributes as they appear in the schema. For example, <code>mail</code> instead of <code>Email address</code>.
</p>

<p class="text">
<b>Show Attribute Descriptions. </b>Select this option if you want the property editor to display the friendly names of the attributes. For example,<code> Email address</code> instead of <code>mail</code>. This option is selected by default.
</p>

<p class="text">
<b>Show only Attributes with Values. </b>Select this checkbox if you want the property editor to display only those attributes that have values. This option is selected by default.
</p>

<p class="text">
<b>Show DN. </b>Select this checkbox if you want to view the entry's DN.
</p>

<p class="text">
<b>Add Value. </b>If the currently selected attribute is not the <code>objectclass</code> attribute or a binary attribute, you can use this command to insert a blank text box for the currently selected attribute. Enter the new value in the text box.
</p>

<p class="text">
If a value already exists for the attribute and the attribute is not multi-valued, you cannot enter additional values. Attempting to do so results in an object class violation.
</p>

<p class="text">
<b>Delete Value. </b>Use this command to delete the currently selected attribute value. This will not delete the attribute itself.
</p>

<p class="text">
<b>Add Attribute. </b>Use this command to add an attribute to the entry. When you select this command, the Add Attribute dialog box appears. This dialog box lists only those attributes contained within the object classes already assigned to this entry.
</p>

<p class="text">
<b>Delete Attribute. </b>Use this command to delete the currently selected attribute from the entry.
</p>

<p class="text">
<b>Naming Attribute. </b>Select a naming attribute from the drop-down list. The naming attribute is used to form the DN of the entry.
</p>

<p class="text">
If the naming attribute you want is not present in the list, click the Add Attribute button and add it to the entry. After adding the new attribute, the naming attribute appears in the list.
</p>

<p class="text">
<b>Naming Value. </b>Select a value for your naming attribute from the drop-down list.
</p>
